#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,K,p[20000];
   scanf("%d%d",&N,&K);
   for(int i=0;i<N;i++)
   scanf("%d",&p[i]);
       for(int i=0;i<N;i++){
        if(p[i]==K && i==N-1)printf("%d",p[0]);
        else if(p[i]==K)printf("%d",p[i+1]);
       }
    return 0;
}